MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005050ACheckerCheckspublic2012-08-15 11:592013-11-15 14:52
Reportergreg 
Assigned Togreg 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.3 
Target Version1.4Fixed in Version1.4 
Summary0005050: Check 185 non-duplicate ID
DescriptionAChecker identifies a duplicate id when they contain a dash

e.g.
id="header" and id="header-next" are listed as duplicates
TagsNo tags attached.
SVN Revision#7de3fd0..0a5ac29 master -> master
Attached Fileshtml file icon AttributeError.html [^] (1,248 bytes) 2012-11-20 23:30

- Relationships

-  Notes
(0005872)
andrewlorien (reporter)
2012-11-20 23:30

I thought I had this problem as well, but the bug is actually in the line AChecker reports. In the attached file, the error shows a duplicate for id="header". After dumping $attr and $id_array at the point that $has_duplicate_attribute is set to true i found that the duplicate id is actually id="form-event".
(0006539)
greg (administrator)
2013-11-15 14:52

added a workaround to replace the usual lime number for body, returned when duplicate IDs are found, with the line number and ID value to make the offending duplicate easier to find, and created patch 02 for AChecker 1.3.

- Issue History
Date Modified Username Field Change
2012-08-15 11:59 greg New Issue
2012-11-20 23:30 andrewlorien Note Added: 0005872
2012-11-20 23:30 andrewlorien File Added: AttributeError.html
2013-11-15 14:52 greg SVN Revision# => 7de3fd0..0a5ac29 master -> master
2013-11-15 14:52 greg Note Added: 0006539
2013-11-15 14:52 greg Status new => resolved
2013-11-15 14:52 greg Fixed in Version => 1.4
2013-11-15 14:52 greg Resolution open => fixed
2013-11-15 14:52 greg Assigned To => greg


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker